//---------------------------------------------------------------------------//
//
//	Sample Garden - Main
//
//	Date : 2008/04/18
//
//---------------------------------------------------------------------------//

#pragma once

#include "framework.h"
#include "texture.h"

class CSampleGardenConfig : public CFrameworkConfig
{
private:

public:
};

class CSampleGarden : public CFramework
{
private:
	int			m_wx;

	CTexture*	m_pSampleTex;
	CTexture*	m_pBackTex;
	CTexture*	m_pTreeShort;
	CTexture*	m_pTreeTall;
	CTexture*	m_pGem;
	CTexture*	m_pRock;

	CTexture*	m_pDoor;
	CTexture*	m_pKey;
	CTexture*	m_pJewelB;
	CTexture*	m_pJewelG;
	CTexture*	m_pJewelY;

	int			m_x, m_y;

public:
	//! ҽ εѴ.
	bool Initialize();
	//! ε ҽ Ѵ.
	void FinalRelease();

	//! 1ʸ  Ӹŭ Ʈ Ѵ.
	int Update(); // override
	//! Ʈ ͸ ȭ鿡 Ѵ. Ʈ ϰ  ð  ȴ.
	void Render(); // override
};