//---------------------------------------------------------------------------//
//
//	Graphics - Renderer Inteface
//
//	Date : 2008/04/10
//
//---------------------------------------------------------------------------//

#pragma once

#include "graphics_config.h"

class CRenderer;

//!  ̽
/*!
	CRenderer Ŭ static       Ŭ
	 Ŭ ӹ޾ CRenderer  ϴ.
*/
class GRAPHICS_API IRenderDevice
{
private:
	static CRenderer* m_spRenderer;

private:
	//!  Ѵ. CRenderer Ŭ ȣ .
	inline bool SetRenderer(CRenderer* pRenderer);

protected:
	IRenderDevice() { }
	virtual ~IRenderDevice() { }

	//!  Ŭ ͸ Ѵ.
	inline CRenderer* GetRenderer();

public:
	friend class CRenderer;
};

bool IRenderDevice::SetRenderer(CRenderer* pRenderer)
{
	assert(m_spRenderer == NULL && pRenderer != NULL);
	m_spRenderer = pRenderer;
	return true;
}

CRenderer* IRenderDevice::GetRenderer()
{
	assert(m_spRenderer);
	return m_spRenderer;
}
