//---------------------------------------------------------------------------//
//
//	Secret Garden - Enemy
//
//	Date : 2008/05/25
//
//---------------------------------------------------------------------------//

#include "Enemy.h"

//! ̹  
const float RIGHT_DIRECTION = 0.0f;	// Enemy ⺻ ̹ ʹ̴.
const float LEFT_DIRECTION = D3DX_PI;// 180 ȸ
const float UP_DIRECTION = D3DX_PI/2 * 3;  // 270 ȸ 1.57f;
const float DOWN_DIRECTION = D3DX_PI/2; // 90 ȸ -1.4f
bool bFilpvert = false;
bool bFilphorz = false;

CEnemy::CEnemy()
{
}
CEnemy::~CEnemy()
{
}

bool CEnemy::Init()
{
	m_pEnemy = new CTexture;
	m_pEnemy->Load(_T("texture\\Enemy Bug.png"));
	m_pColRect = new CollisionRect;

	SetX(1130);	//!  ġ 
	SetY(640);	//!  ġ 

	//!  ̹ ʱȭ
	ImageRotation(RIGHT);	// 
	//!   ʱȭ
	SetDirection(RIGHT);	// 

	return true;
}
void CEnemy::Release()
{
	SAFE_DELETE(m_pEnemy);
	SAFE_DELETE(m_pColRect);
}
int CEnemy::Update()
{
	m_pColRect->x1 = m_x - 101;
	m_pColRect->x2 = m_x;
	m_pColRect->y1 = m_y - 101;   // 75
	m_pColRect->y2 = m_y + 30;

	return true;
}
void CEnemy::Render(CRenderer* pRenderer)
{
	pRenderer->DrawTextureEx(m_pEnemy,0,75,128,160, m_x, m_y, 64, 80, 0xffffffff, 1,m_imageDirection, bFilpvert,bFilphorz);  // 0 ȸ
}
//====================================================
//! 浹ó
CollisionRect* CEnemy::GetColRect()
{
	return m_pColRect;
}
//====================================================
//!  Լ.
void CEnemy::Move()
{
	Move(GetDirection());
}
void CEnemy::Move(int _direction)
{
	switch(_direction)
	{
	case LEFT:
		m_x -= 3;
		break;
	case RIGHT:
		m_x += 3;	
		break;
	case UP:
		m_y -= 3;
		break;
	case DOWN:
		m_y += 3; // += 3
		break;
	}
}
//=====================================================
//! ̹  
void CEnemy::ImageRotation(int _direction)
{
	switch(_direction)
	{
	case LEFT:
		m_imageDirection = LEFT_DIRECTION;
		bFilpvert = false;
		bFilphorz = true;
		break;
	case RIGHT:
		m_imageDirection = RIGHT_DIRECTION;
		bFilpvert = false;
		bFilphorz = false;
		break;
	case UP:
		m_imageDirection = UP_DIRECTION;
		bFilpvert = true; //false
		bFilphorz = false;
		break;
	case DOWN:
		m_imageDirection = DOWN_DIRECTION;
		bFilpvert = false; //true
		bFilphorz = false;
		break;
	}
}
//!   
void CEnemy::SetDirection(int _direction)
{
	m_direction = _direction;
}
//==========================================================
//!  Լ
void CEnemy::AddX(int _x)
{
	m_x += _x;
}
void CEnemy::AddY(int _y)
{
	m_y += _y;
}
//=======================================================
//!  Լ
void CEnemy::SetX(int _x)
{
	m_x = _x;
}
void CEnemy::SetY(int _y)
{
	m_y = _y;
}

// ================================================================
//!  Լ
int CEnemy::AddX()
{
	return m_x;
}
int CEnemy::AddY()
{
	return m_y;
}
int CEnemy::GetX()
{
	return m_x;
}
int CEnemy::GetY()
{
	return m_y;
}
//=======================================================
//!  
int CEnemy::GetDirection()
{
	return m_direction;
}