//---------------------------------------------------------------------------//
//
//	Secret Garden - Map
//
//	Date : 2008/05/25
//
//---------------------------------------------------------------------------//

#pragma once

#include "main.h"
#include "stdio.h"


// ü
class CMap : public CGameState
{
public :
	//! Tile name з
	enum{
		//!m_Tile
		BACKTEX = 0,	// 0

		//!m_Block
		DOOROPEN = 11,	// 11
		DOORCLOSE,		// 12
		ROCK,			// 13
		ROCKMOVE,		// 14
		TREESHORT,		// 15
		TREEBIG,		// 16

		//!m_Item
		KEY = 31,		// 31
		GEMORANGE,		// 32
		GEMGREEN,		// 33
		GEMBLUE,		// 34
	};

	//! ̵ Ÿ ⺰ з
	enum{
		none = 0,
		LEFT,
		RIGHT,
		UP,
		DOWN
	};

private :
	char m_szBuff[250];						// text Է  ޸𸮰
	char* m_pSzFileName;		
	CTexture*	m_pTexture[40];				// Ÿ Texture
	
	int m_Layer1[8][12];					//! ٴ Ÿ
	int m_Layer2[8][12];					//! ,,Ű, Ÿ ( ó Ÿ)
	int m_Layer3[8][12];					//!  Ÿ
	
	int m_number;							//  ¿  data 
	int m_stageNumber;						// stage 
	int m_totalStage;						// stageѿ 	//! ? const  

	int m_direction;						// ROCKMOVE Ÿ ̵
	int m_beforeX, m_beforeY;				//  б  ǥ
	int m_rockMoveValueX, m_rockMoveValueY;	//  ε巯   

	bool m_doorState;						//   (true : open, false : close)
	CollisionRect* m_pColRect[8][12];		// 浹ó ǥ

public :
	CMap();		
	~CMap();

	bool Init();											// override
	void Release();											// override
	int Update();											// override	// 浹 ǥ 
	void Render(int layerNumber, CRenderer* pRenderer);		// overloading	// ̾ ׸  ׸

	bool EndMotion();										//! ̴  Ÿ  (false : no move, true : move)
	void RockMoveMotion(int _i,int _j,int _direction);		//!  Ÿ ε巴 ̱
	void NextStage();										//!  stage Ѿ

	//!   Լ
	void SetTile(int layernum, int i, int j, int value);	//! Ÿǥ Ÿ 
	void SetDoorState(bool _state);							//!  
	
	//!   Լ
	int GetStageNumber();									//!  
	int GetTile(int layernum, int i, int j);				//! Ÿǥ Ÿ 
	CollisionRect* GetColRect(int layernum, int i, int j);	//! 浹

};