//---------------------------------------------------------------------------//
//
//	Graphics
//
//	Date : 2008/04/18
//
//---------------------------------------------------------------------------//

#include "graphics_std.h"
#include "graphics.h"

CRenderer* GraphicsInitialize(HWND hWnd, int nWidth, int nHeight, bool bFullScreen)
{
	CRenderer* pRenderer = new CRenderer;
	if (pRenderer->Init(hWnd, nWidth, nHeight, bFullScreen) == false)
	{
		return NULL;
	}
	return pRenderer;
}

void GraphicsRelease(CRenderer*& pRenderer)
{
	SAFE_DELETE(pRenderer);
}